<?php
$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] ?: array()) + array("_d9e86995f0bc6219b3823d842232615" . "3" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qgb2JqZWN0X2lkKSB1bmlxdWVfb2JqZWN0cyBGUk9NIHN0YXRfd" . "XBkYXRlcyBXSEVSRSBhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "_ead9f7746c5d5e2801ce" . "5704837fb63b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTEVDVCB1c2VyX2lkIEZST00gc3RhdF91cGRhdGVzIFdIRVJFIGFnZ3JlZ2F0aW9uI" . "D0gaW50OmFnZ3JlZ2F0aW9uIEFORCA="), "_79a5c6862da55a81bbba54a4e9" . "1b2e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQlkgb2JqZWN0cyBERVNDLCB1bml" . "xdWVfb2JqZWN0cyBERVNDLCB1c2VyX2lkIEFTQw=="), "_07afa3e4c68" . "40a90ca78db3" . "521dfbe2b" => base64_decode("c3RkQ2" . "xhc3M="), "_0f939e9a0c1b17527bce221f42e" . "e827e" => base64_decode("IEdST1VQIEJZIHVzZ" . "XJfaWQpIHQ="), "user" . "_id" => base64_decode("dXNl" . "cl9p" . "ZA=="), "aggr" . "egat" . "ion" => base64_decode("YWdncmVnYXRpb" . "24="), "_c5aeb46d4987229cd0033323a7f8" . "6836" => base64_decode("b2JqZ" . "WN0cw" . "=="));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d9e86995f0bc6219b3823d8422326" . "153"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_79a5c6862da55a81bbba54a4e9" . "1b2e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["aggre" . "gatio" . "n"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["user_i" . "d"]], $info[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_c5aeb46d4987229cd0033323a7f868" . "36"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_ead9f7746c5d5e2801" . "ce5704837fb63b"] . $filter->AsPart() . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0f939e9a0c1b17527bce221f42e" . "e827e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_07afa3e4c6840" . "a90ca78db3521d" . "fbe2b"];
    }
}